%define debug_package %{nil}
Name:    nde-volume
Summary: Volume daemon for NewStart desktop suite
Version: 0.0.1
Release: 14.1%{?dist}
License: LGPLv2+


Source0: %{name}-%{version}.tar.gz
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-linguist
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: nde-lib-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: alsa-lib-devel
BuildRequires: nde-lib-devel
BuildRequires: cmake
BuildRequires: make
BuildRequires: gcc
BuildRequires: libstatgrab-devel

Requires:       nde-volume
Requires:       qt5-qtbase
Requires:       qt5-qtx11extras
Requires:       nde-lib
Requires:       pulseaudio-libs
Requires:       alsa-lib
Requires:       pulseaudio

%description
%{summary}.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    cmake3 -DCMAKE_INSTALL_PREFIX=/usr -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang %{name} --with-qt

%post

%postun

%posttrans

%files -f %{name}.lang
%{_bindir}/nde-volume
%{_sysconfdir}/xdg/autostart/nde-volume.desktop
%{_sysconfdir}/xdg/autostart/nde-volume-adjust.desktop
%dir %{_datadir}/%{name}

%changelog
* Sat Dec 28 2024 He leilei <he.leilei@zte.com.cn>- 0.0.1-14.1
- fix build error

* Mon Jul 26 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-14
- 添加翻译文件，qss主题支持

* Thu May 13 2021 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-13
- 修改托盘音量设置最大音量为100,但是最大显示音量为实际音量

* Mon Feb 01 2021 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-12
- 修复调节音道平衡后，托盘音量值变化的问题

* Fri Jan 15 2021 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-11
- 修复音量基准值不正确问题

* Mon Nov 9 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-10
- 修复屏幕尺寸变化时，显示错位的问题

* Tue Oct 27 2020 He.leilei <he.leilei@zte.com.cn> - 0.0.1-9
- 关闭动画后样式修改 

* Thu Sep 03 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-8
- 修复任务栏在隐藏状态下显示位置不正确

* Wed Jul 08 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-7
- 修复音量小部件偶尔不能跟随panel显示的问题

* Mon Jul 06 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-6
- 修复静音状态下点击改变音量大小后提示错误问题

* Tue Jun 23 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-5
- 修改音量弹窗模糊度以及弹窗与任务栏之间的间距

* Thu Jun 11 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-4
- 加入判断任务栏是否为自动隐藏，并调整音量控制小部件位置

* Wed Jun 10 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-3
- make volume display with panel

* Mon Jun 8 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-2
- make volume display with panel and change volume valume by mouse click

* Mon May 25 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-1
- First release volume

